@getbeyond/beyond-js

ES6 library to interface with Beyond API

Stats

StarsIssuesVersionUpdatedCreatedSize
@getbeyond/beyond-js
1.3.5a year ago3 years agoMinified + gzip package size for @getbeyond/beyond-js in KB

Readme

Beyond

Exposes a library for facilitating API requests with Beyond

Pre-Requisites

  • fetch - This library focuses on ES6 technology. Since not all browsers have window.fetch implemented, it is recommended to include a polyfill
  • promise - Similar to fetch, it is recommended to install a Promise polyfill

Future Capabilities

The intent is to allow Beyond to be usable from both a browser, as well as from Node itself. A fetch polyfill will be needed, such as this one

If you find any bugs or have a feature request, please open an issue on github!

The npm package download data comes from npm's download counts api and package details come from npms.io.